#include <bits/stdc++.h>

using namespace std;

class abc
{
    public:
    unsigned long long a, b, c;

    abc(unsigned long long A, unsigned long long B, unsigned long long C){
        a = A;
        b = B;
        c = C;
    }
};

int BrojCifara(unsigned long long b)
{
	int bc = 0;
	while (b != 0)
	{
		b /= 10;
		bc++;
	}
	return bc;
}

unsigned long long Power(unsigned long long o, int s)
{
    unsigned long long R = 1;
    for(int i = s; i>0; i--){
        R*=o;
    }
    return R;
}

 unsigned long long Nadovezi(abc N)
{
    return N.c + N.b*Power(10, BrojCifara(N.c)) + N.a*Power(10, BrojCifara(N.b) + BrojCifara(N.c));
}

int main()
{

    unsigned long long a, b, c;
    abc m(0,0,0);

    cin >> a >> b >> c;

    if(a==b && b == c){
        m = abc(a, b, c);
    }
    else{
        abc n[6] = {abc(a, b, c),
                    abc(a, c, b),
                    abc(b, a, c),
                    abc(b, c, a),
                    abc(c, a, b),
                    abc(c, b, a)};

        m = n[0];
        for(int i = 1; i<6; i++){
            if(Nadovezi(n[i]) > Nadovezi(m))
                m = n[i];
        }

    }

    cout << m.a << m.b << m.c;

    return 0;
}